### Name: muscor
### Title: Multi-stage Convex Relaxation Solver for sparse regularized
###   convex risk minimization
### Aliases: muscor
### Keywords: optimize models regression

### ** Examples

data(simulation)

lambda.ridge=0
lambda.L1=1

x=data.matrix(simulation$x)
y=simulation$y

mod0=muscor.model(lambda.sparse=1)

mod1=muscor(x,y,mod0, max.iters=100, verbose=1)
err=mean((predict(mod1,x)-y)^2)
print(paste("Stage 1 training mean squared error=", err))
err=sum((mod1$coef - simulation$true.coeff)^2)
print(paste("Stage 1 parameter estimation err=", err))

mod1$sparse.param=-5
mod2=muscor(x,y,mod1, max.iters=100, verbose=1)
err=mean((predict(mod2,x)-y)^2)
print(paste("Stage 2 training mean squared error=", err))
err=sum((mod2$coef - simulation$true.coeff)^2)
print(paste("Stage 2 parameter estimation error=",err))

mod2$sparse.param=-5
mod3=muscor(x,y,mod2, max.iters=100, verbose=1)
err=mean((predict(mod3,x)-y)^2)
print(paste("Stage 3 training mean squared error=", err))
err=sum((mod3$coef - simulation$true.coeff)^2)
print(paste("Stage 3 parameter estimation error=",err))




