### Name: opt.L1
### Title: One stage convex risk minimization solver with L1 and L2
###   regularization
### Aliases: opt.L1
### Keywords: optimize models regression

### ** Examples

data(simulation)

lambda.ridge=0
lambda.L1=1

x=data.matrix(simulation$x)
y=(as.vector(simulation$y, mode="numeric")<0)*2.0-1.0

w=opt.L1(x,y,"Least",lambda.ridge,lambda.L1, max.iters=100, verbose=1)
err=sum((x%*%w)*y<=0)/length(y)
print(paste("Least.Squares training err=", err))

w=opt.L1(x,y,"Logi",lambda.ridge,lambda.L1, max.iters=100, verbose=1)
err=sum((x%*%w)*y<=0)/length(y)
print(paste("Logistic.Regression training error=",err))




